# Constructors and Destructors.

## Constructor

The constructor is executed when an object is created. Its purpose is to initalise variables with in an object before they can be used.

- If you do not provide a constructor for a class, the compiler will create a default constructor for you.
- If the object has global scope, the constructor is executed before main()

## Copy Constructor

## Assignment Constructor

## Destructor

## Examples:

Example program.

## See Also:

## C References

data types.

Top | Master Index | Keywords | Functions